Describe a Bulk Load Job

Use the describe vector load job operation to get the status of a bulk load operation.

The operation returns details about an asynchronous load job initiated by a load_vectors operation.

See the following for examples of how to implement describe_vector_load_job:

from oracle_vecdb import OracleVecDB, Configuration

client = OracleVecDB(Configuration(
    rest_url="https://<host>/ords/<schema>/_/db-api/stable/vecdb/",
    access_token="<bearer-token>", # or username="<user>", password="<pass>"
))

#initiate a load job using load_vectors
response = client.load_vectors(
    table_name='products',
    url='https://objectstorage.region.oraclecloud.com/.../vectors.csv',
    params={'credential': 'OCI_CREDENTIAL'}
)

#monitor the load progress
status = client.describe_vector_load_job(response.job_name)
print(status)

A JSON response is returned containing job status, progress, and statistics.

Example response:

{
  "job_name": "VECDB_LOAD_ABC123",
  "job_creator": "VECTOR3",
  "operation": "LOAD",
  "state": "SUCCEEDED",
  "links": [
    {
      "rel": "collection",
      "href": "https://<host>/ords/<schema>/_/db-api/stable/vecdb/load/jobs/"
    },
    {
      "rel": "self",
      "href": "https://<host>/ords/<schema>/_/db-api/stable/vecdb/load/jobs/vecdb_load_abc123/"
    },
    {
      "rel": "related",
      "href": "https://<host>/ords/<schema>/_/db-api/stable/vecdb/load/jobs/vecdb_load_abc123/jobfile"
    }
  ]
}

For more information about the describe_vector_load_job operation, see Python API Reference.

See how GET /vecdb/load/jobs/{load_job_name}/ can be used in the following example:

curl -X GET \
  "https://<host>:<port>/ords/<schema>/_/db-api/stable/vecdb/load/jobs/VECDB_LOAD_20260501110000/" \
  -H "Accept: application/json" \
  # Choose ONE authentication method:

  # Option 1: Basic authentication
  -u "<user>:<password>"

  # Option 2: OAuth Bearer token
  # -H "Authorization: Bearer <access_token>"

Example 200 response:

{
  "job_creator": "APPUSER",
  "job_name": "VECDB_LOAD_20260501110000",
  "job_type": "PLSQL_BLOCK",
  "operation": "LOAD",
  "state": "SUCCEEDED",
  "start_date": "2026-05-01T11:00:00.118886Z",
  "links": [
    {
      "href": "/vecdb/load/jobs/",
      "rel": "collection"
    },
    {
      "href": "/vecdb/load/jobs/vecdb_load_20260501110000/",
      "rel": "self"
    },
    {
      "href": "/vecdb/load/jobs/vecdb_load_20260501110000/jobfile",
      "rel": "related"
    }
  ]
}

For more information, see REST API Reference.